"""
=========================================
NMR specific methods (:mod:`nmreval.nmr`)
=========================================

Each class provides a distribution of correlation times, correlation
function, spectral density, susceptibility, and calculation of different
types of correlation times.

.. currentmodule:: nmreval.nmr

Relaxation
**********

Calculate spin-lattice and spin-spin relaxation, and evaluate T1 minima for correlation times.

.. autosummary::
   :toctree: generated/
   :nosignatures:

   Relaxation
   RelaxationEvaluation

Coupling constants (:mod:`nmreval.nmr.coupling`)
************************************************

.. autosummary::
   :toctree: generated/
   :template: autosummary/class_with_attributes.rst
   :nosignatures:

   ~coupling.Quadrupolar
   ~coupling.HeteroDipolar
   ~coupling.HomoDipolar
   ~coupling.CSA
   ~coupling.Constant
   ~coupling.Czjzek

"""

from .relaxation import Relaxation, RelaxationEvaluation

